## octave-image-acquisition 0.2.2

=== DESCRIPTION ===
Name: image-acquisition
Version: 0.2.2
Date: 2015-04-19
Author: Andreas Weber <andy.weber.aw@gmail.com>
Maintainer: Andreas Weber <andy.weber.aw@gmail.com>
Title: Image Acquisition
Description: The Octave-forge Image Aquisition package provides functions
 to capture images from connected devices. Currently only v4l2 is supported.
Depends: octave (>= 3.8.0)
BuildRequires: libv4l-dev (>= 0.8.8), libfltk1.1-dev (>= 1.1.0)
License: GPLv3+

=== debian/changelog ===
octave-image-acquisition (0.2.2-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:07 +0100

octave-image-acquisition (0.2.2-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 06:04:10 -0300

octave-image-acquisition (0.2.2-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:43 -0200

octave-image-acquisition (0.2.2-1) unstable; urgency=low

  * Initial release (closes: #898908)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 09:13:17 -0300

=== debian/control ===
Source: octave-image-acquisition
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libfltk1.3-dev,
               libv4l-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/image-acquisition/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image-acquisition.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image-acquisition
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-image-acquisition
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: image acquisition package for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/image-acquisition-(.+)\.tar\.gz

## octave-image-acquisition 0.2.6

=== DESCRIPTION ===
Name: image-acquisition
Version: 0.2.6
Date: 2024-08-31
Author: Andreas Weber <andy.weber.aw@gmail.com>
Maintainer: Andreas Weber <andy.weber.aw@gmail.com>
Title: Image Acquisition
Description: The Octave-forge Image Acquisition package provides functions
 to capture images from connected devices. Currently only v4l2
 (which is GNU/Linux only) is supported. There is no windoze support yet.
Depends: octave (>= 3.8.0)
BuildRequires: libv4l-dev (>= 0.8.8), libfltk1.1-dev (>= 1.1.0)
License: GPLv3+

=== debian/changelog ===
octave-image-acquisition (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6
  * d/u/metadata: Update Bug-Database URL
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Drop patches (applied upstream):
    + d/p/fix-spelling.patch
    + d/p/fix-distclean-and-realclean-rules.patch
    + d/p/build-with-octave-8.patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:52:00 -0300

octave-image-acquisition (0.2.2-7) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL
  * d/p/build-with-octave-8.patch: New patch
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository, Changelog, and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Sun, 18 Jun 2023 06:25:19 -0300

octave-image-acquisition (0.2.2-6) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:52:43 -0300

octave-image-acquisition (0.2.2-5) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/watch: Bump to format version 4
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of upstream files
    + d/patches/fix-distclean-and-realclean-rules.patch: New patch
    + d/clean, d/source/options: Drop obsolete files
  * d/control:
    Bump Standards-Version to 4.6.1 (no changes needed)
    + d/control: Build-depend on dh-octave >= 1.2.3. In this version
      dh_octave_clean removes the src/*-tst files. It also uses target
      distclean of file src/Makefile for cleaning files generated by
      the configure script.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 05:12:28 -0300

octave-image-acquisition (0.2.2-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 07:59:40 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.7.1),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libfltk1.3-dev,
                libv4l-dev
-Standards-Version: 4.4.1
-Homepage: https://octave.sourceforge.io/image-acquisition/
+Standards-Version: 4.7.0
+Homepage: https://gnu-octave.github.io/packages/image-acquisition/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image-acquisition.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image-acquisition
 Testsuite: autopkgtest-pkg-octave

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/image-acquisition/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/image-acquisition-(.+).tar.gz

## octave-image-acquisition 0.3.3

=== DESCRIPTION ===
Name: image-acquisition
Version: 0.3.3
Date: 2025-04-19
Author: Andreas Weber <andy.weber.aw@gmail.com>
Maintainer: Andreas Weber <andy.weber.aw@gmail.com>
Title: Image Acquisition
Description: The Octave-forge Image Acquisition package provides functions
 to capture images from connected devices via v4l2 on GNU/Linux or "Media Foundation"
 on MS-Windows Vista and later.
Depends: octave (>= 5.1.0)
BuildRequires: libv4l-dev (>= 0.8.8) on GNU/Linux, libfltk1.1-dev (>= 1.1.0) or libfltk1.3-dev
License: GPLv3+

=== debian/changelog ===
octave-image-acquisition (0.3.3-3) unstable; urgency=medium

  * Upload to unstable
    This version builds correctly against Octave 10 (Closes: #1114627).
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 Sep 2025 04:53:28 -0300

octave-image-acquisition (0.3.3-2) experimental; urgency=medium

  * d/p/deactivate-unit-tests.patch: Remove DEP 3 template material
  * d/s/lintian-overrides: Drop override
  * d/copyright: Update list of copyright years
  * d/p/spelling-error.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 28 Jun 2025 02:43:31 -0300

octave-image-acquisition (0.3.3-1) experimental; urgency=medium

  * New upstream version 0.3.3
  * d/watch: Update tarball URL
  * d/control: Build-depends on dh-octave >= 1.9.0.
    This is necessary to get the long description correctly formatted
  * d/p/deactivate-unit-tests.patch: New patch
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Jun 2025 09:13:47 -0300

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.9.0),
                dh-sequence-octave,
                libfltk1.3-dev,
                libv4l-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/image-acquisition/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-image-acquisition.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-image-acquisition
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-image-acquisition
 Architecture: any

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/image-acquisition/ \
  https://github.com/Andy1978/octave-image-acquisition/releases/download/image-acquisition-.+/image-acquisition-(.+).tar.gz
